Build failed in Hudson: IcedTea6hgTargetTesting #27
Hudson Admin
gnu_andrew at member.fsf.org
Mon Oct 18 23:22:25 PDT 2010
See <http://toadeater:8080/job/IcedTea6hgTargetTesting/27/>
------------------------------------------
[...truncated 423 lines...]
fi ; \
/usr/bin/wget https://jaxp.dev.java.net/files/documents/913/152561/jaxp-1_4_4.zip -O drops/jaxp-1_4_4.zip; \
if ! echo "10b203bec5b7d3dd8f515a9e098f80abc316faf977bcc220b56efe3dc6e9e5e9 drops/jaxp-1_4_4.zip" \
| /usr/bin/sha256sum --check ; \
then echo "ERROR: Bad download of jaxp drop zip"; false; \
fi; \
fi ;
drops/jaxp-1_4_4.zip: OK
mkdir -p stamps
touch stamps/download-jaxp-drop.stamp
mkdir -p drops
ln -sf /notnfs/nighttester/drops/jaxws6-hg.zip drops/jdk6-jaxws-b20.zip
if ! echo "0c460583898b968a58bf88eb53f90a0e34369e2562d65fb3a143512dfcaeb3eb drops/jdk6-jaxws-b20.zip" \
| /usr/bin/sha256sum --check ; \
then \
if [ -f drops/jdk6-jaxws-b20.zip ] ; \
then \
mv drops/jdk6-jaxws-b20.zip drops/jdk6-jaxws-b20.zip.old ; \
fi ; \
/usr/bin/wget https://jax-ws.dev.java.net/files/documents/4202/150724/jdk6-jaxws-b20.zip -O drops/jdk6-jaxws-b20.zip; \
if ! echo "0c460583898b968a58bf88eb53f90a0e34369e2562d65fb3a143512dfcaeb3eb drops/jdk6-jaxws-b20.zip" \
| /usr/bin/sha256sum --check ; \
then echo "ERROR: Bad download of jaxws drop zip"; false; \
fi; \
fi ;
drops/jdk6-jaxws-b20.zip: OK
mkdir -p stamps
touch stamps/download-jaxws-drop.stamp
mkdir -p drops
ln -sf /notnfs/nighttester/drops/jaf6-hg.zip drops/jdk6-jaf-b20.zip
if ! echo "78c7b5c9d6271e88ee46abadd018a61f1e9645f8936cc8df1617e5f4f5074012 drops/jdk6-jaf-b20.zip" \
| /usr/bin/sha256sum --check ; \
then \
if [ -f drops/jdk6-jaf-b20.zip ] ; \
then \
mv drops/jdk6-jaf-b20.zip drops/jdk6-jaf-b20.zip.old ; \
fi ; \
/usr/bin/wget https://jax-ws.dev.java.net/files/documents/4202/150725/jdk6-jaf-b20.zip -O drops/jdk6-jaf-b20.zip; \
if ! echo "78c7b5c9d6271e88ee46abadd018a61f1e9645f8936cc8df1617e5f4f5074012 drops/jdk6-jaf-b20.zip" \
| /usr/bin/sha256sum --check ; \
then echo "ERROR: Bad download of jaf drop zip"; false; \
fi; \
fi ;
drops/jdk6-jaf-b20.zip: OK
mkdir -p stamps
touch stamps/download-jaf-drop.stamp
mkdir -p stamps
touch stamps/download-drops.stamp
mkdir -p stamps
touch stamps/download-cacao.stamp
if ! /usr/bin/hg fclone -h; \
then \
echo "No forest extension found. Please refer to" \
"http://selenic.com/mercurial/wiki/index.cgi/ForestExtension"; \
exit 1; \
fi;
hg fclone [OPTION]... SOURCE [DEST]
make a clone of an existing forest of repositories
Create a clone of an existing forest in a new directory.
Look at the help text for the clone command for more information.
options:
--walkhg walk repositories under '.hg' (yes/no)
-U --noupdate the clone will include an empty working copy (only a
repository)
-u --updaterev revision, tag or branch to check out
-r --rev include the specified changeset
-b --branch clone only the specified branch
--pull use pull protocol to copy metadata
--uncompressed use uncompressed transfer (fast over LAN)
-e --ssh specify ssh command to use
--remotecmd specify hg command to run on the remote side
use "hg -v help fclone" to show global options
mkdir -p stamps
touch stamps/hgforest.stamp
/usr/bin/hg fclone http://hg.openjdk.java.net/jdk6/jdk6 openjdk.hg;
[.]
requesting all changes
adding changesets
adding manifests
adding file changes
added 59 changesets with 120 changes to 30 files
updating to branch default
29 files updated, 0 files merged, 0 files removed, 0 files unresolved
[corba]
requesting all changes
adding changesets
adding manifests
adding file changes
added 51 changesets with 2847 changes to 1376 files
updating to branch default
1362 files updated, 0 files merged, 0 files removed, 0 files unresolved
[hotspot]
requesting all changes
adding changesets
adding manifests
adding file changes
added 1959 changesets with 41174 changes to 4274 files
updating to branch default
3760 files updated, 0 files merged, 0 files removed, 0 files unresolved
[jaxp]
requesting all changes
adding changesets
adding manifests
adding file changes
added 49 changesets with 2070 changes to 1984 files
updating to branch default
19 files updated, 0 files merged, 0 files removed, 0 files unresolved
[jaxws]
requesting all changes
adding changesets
adding manifests
adding file changes
added 50 changesets with 6898 changes to 3005 files
updating to branch default
19 files updated, 0 files merged, 0 files removed, 0 files unresolved
[jdk]
requesting all changes
adding changesets
adding manifests
adding file changes
added 453 changesets with 58438 changes to 17497 files
updating to branch default
17174 files updated, 0 files merged, 0 files removed, 0 files unresolved
[langtools]
requesting all changes
adding changesets
adding manifests
adding file changes
added 108 changesets with 10051 changes to 3098 files
updating to branch default
3017 files updated, 0 files merged, 0 files removed, 0 files unresolved
mkdir -p stamps
touch stamps/download-openjdk.stamp
touch stamps/download.stamp
if ! test -d openjdk ; then \
cp -pPRl openjdk.hg openjdk ; \
fi
mkdir -p stamps
touch stamps/extract-openjdk.stamp
mkdir -p stamps
touch stamps/extract-cacao.stamp
mkdir -p stamps
touch stamps/extract.stamp
mkdir -p stamps
touch stamps/replace-hotspot.stamp
for target in /notnfs/nighttester/icedtea6-hg-target-testing/arm_port/hotspot/tools \
/notnfs/nighttester/icedtea6-hg-target-testing/arm_port/hotspot/src/*cpu/* ; do \
link=$(dirname $target | sed 's/^.*arm_port/openjdk/'); \
cp -rv $target $link; \
done
`/notnfs/nighttester/icedtea6-hg-target-testing/arm_port/hotspot/tools' -> `openjdk/hotspot/tools'
`/notnfs/nighttester/icedtea6-hg-target-testing/arm_port/hotspot/tools/mkbc.c' -> `openjdk/hotspot/tools/mkbc.c'
`/notnfs/nighttester/icedtea6-hg-target-testing/arm_port/hotspot/src/cpu/zero/vm/thumb2.cpp' -> `openjdk/hotspot/src/cpu/zero/vm/thumb2.cpp'
`/notnfs/nighttester/icedtea6-hg-target-testing/arm_port/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S' -> `openjdk/hotspot/src/cpu/zero/vm/cppInterpreter_arm.S'
`/notnfs/nighttester/icedtea6-hg-target-testing/arm_port/hotspot/src/cpu/zero/vm/asm_helper.cpp' -> `openjdk/hotspot/src/cpu/zero/vm/asm_helper.cpp'
`/notnfs/nighttester/icedtea6-hg-target-testing/arm_port/hotspot/src/cpu/zero/vm/bytecodes_arm.def' -> `openjdk/hotspot/src/cpu/zero/vm/bytecodes_arm.def'
mkdir -p stamps
touch stamps/ports.stamp
set -e ; \
if [ ! -e /notnfs/nighttester/icedtea6-hg-target-testing/generated ]; then \
cp -a /notnfs/nighttester/icedtea6-hg-target-testing/generated /notnfs/nighttester/icedtea6-hg-target-testing; \
find /notnfs/nighttester/icedtea6-hg-target-testing/generated -type f -exec chmod 640 '{}' ';' \
-o -type d -exec chmod 750 '{}' ';'; \
fi
mkdir -p stamps
touch stamps/generated.stamp
mkdir -p stamps ; \
rm -f stamps/patch-fsg.stamp.tmp ; \
touch stamps/patch-fsg.stamp.tmp ; \
all_patches_ok=yes; \
for p in ; \
do \
if test x${all_patches_ok} = "xyes" \
&& echo Checking $p \
&& /usr/bin/patch -l -p0 --dry-run -s -t -f \
< /notnfs/nighttester/icedtea6-hg-target-testing/$p ; \
then \
echo Applying $p ; \
/usr/bin/patch -l -p0 < /notnfs/nighttester/icedtea6-hg-target-testing/$p ; \
if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea6-hg-target-testing/HACKING \
>> stamps/patch-fsg.stamp.tmp ; \
then \
echo "* $(basename $p): UNDOCUMENTED" \
>> stamps/patch-fsg.stamp.tmp ; \
fi ; \
else \
test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
fi ; \
done ; \
mv stamps/patch-fsg.stamp.tmp stamps/patch-fsg.stamp ; \
if ! test x${all_patches_ok} = "xyes"; then \
echo ERROR patch ${all_patches_ok} FAILED! ; \
echo WARNING make clean-patch before retrying a fix ; \
exit 2; \
fi ;
mkdir -p stamps ; \
rm -f stamps/patch.stamp.tmp ; \
touch stamps/patch.stamp.tmp ; \
all_patches_ok=yes; \
for p in patches/security/20101012/6891766.patch patches/security/20101012/6925710.patch patches/security/20101012/6938813.patch patches/security/20101012/6957564.patch patches/security/20101012/6958060.patch patches/security/20101012/6963023.patch patches/security/20101012/6963489.patch patches/security/20101012/6966692.patch patches/security/20101012/6914943.patch patches/security/20101012/6559775.patch patches/security/20101012/6622002.patch patches/security/20101012/6952017.patch patches/security/20101012/6952603.patch patches/security/20101012/6961084.patch patches/security/20101012/6963285.patch patches/security/20101012/6981426.patch patches/security/20101012/6990437.patch patches/icedtea-notice-safepoints.patch patches/icedtea-parisc-opt.patch patches/icedtea-lucene-crash.patch patches/icedtea-version.patch patches/icedtea-version-hotspot.patch patches/icedtea-text-relocations.patch patches/icedtea-ssl.patch patches/icedtea-rmi_amd64.patch patches/icedtea-tools.patch patches/icedtea-use-system-tzdata.patch patches/icedtea-headers.patch patches/icedtea-headers-hotspot.patch patches/icedtea-gcc-suffix.patch patches/gcc-suffix.patch patches/icedtea-bytebuffer-compact.patch patches/memory-limits.patch patches/icedtea-sunsrc.patch patches/icedtea-libraries.patch patches/icedtea-javafiles.patch patches/icedtea-jvmtiEnv.patch patches/icedtea-lcms.patch patches/print_lsb_release.patch patches/icedtea-jpegclasses.patch patches/icedtea-uname.patch patches/icedtea-freetypeversion.patch patches/icedtea-nomotif-6706121.patch patches/icedtea-nomotif.patch patches/icedtea-nomotif-mtoolkit.patch patches/alpha-fixes.patch patches/icedtea-alt-jar.patch patches/icedtea-jdk-use-ssize_t.patch patches/icedtea-use-idx_t.patch patches/params-cast-size_t.patch patches/icedtea-clean-crypto.patch patches/icedtea-arch.patch patches/icedtea-lc_ctype.patch patches/icedtea-xjc.patch patches/icedtea-renderer-crossing.patch patches/icedtea-stroker-finish.patch patches/icedtea-linker-libs-order.patch patches/icedtea-testenv.patch patches/icedtea-samejvm-safe.patch patches/icedtea-pr261.patch patches/icedtea-sparc-buildfixes.patch patches/icedtea-sparc64-linux.patch patches/icedtea-sparc-ptracefix.patch patches/icedtea-sparc-trapsfix.patch patches/icedtea-demo-swingapplet.patch patches/icedtea-jtreg-6592792.patch patches/icedtea-s390-noinline.patch patches/icedtea-jtreg-dnd.patch patches/icedtea-jtreg-jrunscript.patch patches/icedtea-network-unreachable.patch patches/icedtea-dnd-filelists.patch patches/icedtea-java2d-stroker-internal-joint.patch patches/icedtea-java2d-stroker-internal-close-joint.patch patches/icedtea-disable-cc-incompatible-sanity-checks.patch patches/icedtea-explicit-target-arch.patch patches/icedtea-gcc-stack-markings.patch patches/icedtea-no-precompiled.patch patches/icedtea-parisc.patch patches/icedtea-sh4-support.patch patches/icedtea-policy-evaluation.patch patches/update-bootclasspath.patch patches/libpng.patch patches/extensions/netx.patch patches/extensions/netx-umask.patch patches/icedtea-jtreg-httpTest.patch patches/arm.patch patches/debug-dir.patch patches/no-sync.patch patches/icedtea-override-redirect-metacity.patch patches/openjdk/6963870-swing_npe.patch patches/openjdk/6668231-ssl_cert.patch patches/openjdk/6967533-pre_epoch.patch patches/fonts-rhel.patch patches/fonts-gentoo.patch patches/ipv4-mapped-ipv6-addresses.patch patches/icedtea-too-many-args.patch patches/icedtea-jtreg-OpenGLContextInit.patch patches/openjdk/6510892-httpserver_test.patch patches/openjdk/6638712-wildcard_types.patch patches/openjdk/6650759-missing_inference.patch patches/numa_on_early_glibc.patch patches/openjdk/6853592-badwindow-warning-fix.patch patches/6703377-freetypescaler.patch patches/icedtea-rhino.patch patches/extensions/liveconnect.patch patches/openjdk/6725214-direct3d-01.patch patches/openjdk/6307603-xrender-01.patch patches/openjdk/6961633-xrender-02.patch patches/openjdk/6791612-opengl-jni-fix.patch patches/openjdk/6755274-glgetstring-crash.patch patches/openjdk/6984543-onscreen_rendering_resize_test.patch patches/systemtap.patch patches/systemtap-gcc-4.5.patch patches/systemtap-alloc-size-workaround.patch patches/icedtea-nss-not-enabled-config.patch ; \
do \
if test x${all_patches_ok} = "xyes" \
&& echo Checking $p \
&& /usr/bin/patch -l -p0 --dry-run -s -t -f \
< /notnfs/nighttester/icedtea6-hg-target-testing/$p ; \
then \
echo Applying $p ; \
/usr/bin/patch -l -p0 < /notnfs/nighttester/icedtea6-hg-target-testing/$p ; \
if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea6-hg-target-testing/HACKING \
>> stamps/patch.stamp.tmp ; \
then \
echo "* $(basename $p): UNDOCUMENTED" \
>> stamps/patch.stamp.tmp ; \
fi ; \
else \
test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
fi ; \
done ; \
mv stamps/patch.stamp.tmp stamps/patch.stamp ; \
if ! test x${all_patches_ok} = "xyes"; then \
echo ERROR patch ${all_patches_ok} FAILED! ; \
echo WARNING make clean-patch before retrying a fix ; \
exit 2; \
fi
Checking patches/security/20101012/6891766.patch
10 out of 10 hunks FAILED -- saving rejects to file openjdk/corba/src/share/classes/com/sun/corba/se/impl/io/IIOPInputStream.java.rej
3 out of 3 hunks FAILED -- saving rejects to file openjdk/corba/src/share/classes/com/sun/corba/se/impl/io/ValueHandlerImpl.java.rej
2 out of 2 hunks FAILED -- saving rejects to file openjdk/corba/src/share/classes/com/sun/corba/se/impl/orb/PrefixParserAction.java.rej
3 out of 3 hunks FAILED -- saving rejects to file openjdk/corba/src/share/classes/com/sun/corba/se/impl/orbutil/ObjectUtility.java.rej
5 out of 5 hunks FAILED -- saving rejects to file openjdk/corba/src/share/classes/com/sun/corba/se/impl/transport/SocketOrChannelAcceptorImpl.java.rej
4 out of 4 hunks FAILED -- saving rejects to file openjdk/corba/src/share/classes/com/sun/corba/se/spi/orb/OperationFactory.java.rej
2 out of 2 hunks FAILED -- saving rejects to file openjdk/corba/src/share/classes/com/sun/corba/se/spi/orb/ParserImplBase.java.rej
ERROR patch patches/security/20101012/6891766.patch FAILED!
WARNING make clean-patch before retrying a fix
make: *** [stamps/patch.stamp] Error 2
+ exit 1
More information about the icedtea-test
mailing list